Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TAO::ServerRequestInterceptor_Adapter_Impl Class Reference

ServerRequestInterceptor_Adapter_Impl. More...

`#include <ServerInterceptorAdapter.h>`

Inheritance diagram for TAO::ServerRequestInterceptor_Adapter_Impl:

[legend]
Collaboration diagram for TAO::ServerRequestInterceptor_Adapter_Impl:

[legend]
List of all members.

## Public Member Functions
| ServerRequestInterceptor_Adapter_Impl (void)
| Constructor.
virtual void | add_interceptor (PortableInterceptor::ServerRequestInterceptor_ptr interceptor)
| Register an interceptor.
virtual void | add_interceptor (PortableInterceptor::ServerRequestInterceptor_ptr interceptor, const CORBA::PolicyList &policies)
virtual void | destroy_interceptors ()
virtual TAO::PICurrent_Impl * | allocate_pi_current (void)
virtual TAO::PICurrent_Copy_Callback * | allocate_pi_current_callback (void)
virtual void | deallocate_pi_current (TAO::PICurrent_Impl *picurrent)
virtual void | deallocate_pi_current_callback (TAO::PICurrent_Copy_Callback *callback)
virtual void | execute_command (TAO_ServerRequest &server_request, TAO::Upcall_Command &command)
PortableInterceptor Server Side Interception Points
Each of these methods corresponds to a server side interception point.
void | receive_request_service_contexts (TAO_ServerRequest &server_request, TAO::Argument *const args[], size_t nargs, void *servant_upcall, CORBA::TypeCode_ptr const *exceptions, CORBA::ULong nexceptions)
void | receive_request (TAO_ServerRequest &server_request, TAO::Argument *const args[], size_t nargs, void *servant_upcall, CORBA::TypeCode_ptr const *exceptions, CORBA::ULong nexceptions)
| This method an "intermediate" server side interception point.
void | send_reply (TAO_ServerRequest &server_request, TAO::Argument *const args[], size_t nargs, void *servant_upcall, CORBA::TypeCode_ptr const *exceptions, CORBA::ULong nexceptions)
void | send_exception (TAO_ServerRequest &server_request, TAO::Argument *const args[], size_t nargs, void *servant_upcall, CORBA::TypeCode_ptr const *exceptions, CORBA::ULong nexceptions)
void | send_other (TAO_ServerRequest &server_request, TAO::Argument *const args[], size_t nargs, void *servant_upcall, CORBA::TypeCode_ptr const *exceptions, CORBA::ULong nexceptions)
## Private Attributes
ServerRequestInterceptor_List | interceptor_list_
| List of registered interceptors.

## Detailed Description

ServerRequestInterceptor_Adapter_Impl.

A convenient helper class to invoke registered server request interceptor(s).

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::ServerRequestInterceptor_Adapter_Impl::ServerRequestInterceptor_Adapter_Impl | ( | void |  | ) |

| Constructor.

## Member Function Documentation

void TAO::ServerRequestInterceptor_Adapter_Impl::add_interceptor | ( | PortableInterceptor::ServerRequestInterceptor_ptr | interceptor,
|  | const CORBA::PolicyList & | policies
| ) | `[virtual]`

| Implements TAO::ServerRequestInterceptor_Adapter.

void TAO::ServerRequestInterceptor_Adapter_Impl::add_interceptor | ( | PortableInterceptor::ServerRequestInterceptor_ptr | interceptor | ) | `[virtual]`

| Register an interceptor. Implements TAO::ServerRequestInterceptor_Adapter.

TAO::PICurrent_Impl * TAO::ServerRequestInterceptor_Adapter_Impl::allocate_pi_current | ( | void |  | ) | `[virtual]`

| Implements TAO::ServerRequestInterceptor_Adapter.

TAO::PICurrent_Copy_Callback * TAO::ServerRequestInterceptor_Adapter_Impl::allocate_pi_current_callback | ( | void |  | ) | `[virtual]`

| Implements TAO::ServerRequestInterceptor_Adapter.

void TAO::ServerRequestInterceptor_Adapter_Impl::deallocate_pi_current | ( | TAO::PICurrent_Impl * | picurrent | ) | `[virtual]`

| Implements TAO::ServerRequestInterceptor_Adapter.

void TAO::ServerRequestInterceptor_Adapter_Impl::deallocate_pi_current_callback | ( | TAO::PICurrent_Copy_Callback * | callback | ) | `[virtual]`

| Implements TAO::ServerRequestInterceptor_Adapter.

void TAO::ServerRequestInterceptor_Adapter_Impl::destroy_interceptors | ( |  | ) | `[virtual]`

| Implements TAO::ServerRequestInterceptor_Adapter.

void TAO::ServerRequestInterceptor_Adapter_Impl::execute_command | ( | TAO_ServerRequest & | server_request,
|  | TAO::Upcall_Command & | command
| ) | `[virtual]`

| Implements TAO::ServerRequestInterceptor_Adapter.

void TAO::ServerRequestInterceptor_Adapter_Impl::receive_request | ( | TAO_ServerRequest & | server_request,
|  | TAO::Argument *const | args[],
|  | size_t | nargs,
|  | void * | servant_upcall,
|  | CORBA::TypeCode_ptr const * | exceptions,
|  | CORBA::ULong | nexceptions
| ) | `[virtual]`

| This method an "intermediate" server side interception point. Implements TAO::ServerRequestInterceptor_Adapter.

void TAO::ServerRequestInterceptor_Adapter_Impl::receive_request_service_contexts | ( | TAO_ServerRequest & | server_request,
|  | TAO::Argument *const | args[],
|  | size_t | nargs,
|  | void * | servant_upcall,
|  | CORBA::TypeCode_ptr const * | exceptions,
|  | CORBA::ULong | nexceptions
| ) | `[virtual]`

| This method implements the "intermediate" server side interception point if the above #ifdef is set to 1 and a starting intercetion point if it is not set to 1. Note: This method should have been the "starting" interception point according to the interceptor spec. This will be fixed once Bug 1369 is completely done. Implements TAO::ServerRequestInterceptor_Adapter.

void TAO::ServerRequestInterceptor_Adapter_Impl::send_exception | ( | TAO_ServerRequest & | server_request,
|  | TAO::Argument *const | args[],
|  | size_t | nargs,
|  | void * | servant_upcall,
|  | CORBA::TypeCode_ptr const * | exceptions,
|  | CORBA::ULong | nexceptions
| ) | `[virtual]`

| This method implements one of the "ending" server side interception points. Implements TAO::ServerRequestInterceptor_Adapter.

void TAO::ServerRequestInterceptor_Adapter_Impl::send_other | ( | TAO_ServerRequest & | server_request,
|  | TAO::Argument *const | args[],
|  | size_t | nargs,
|  | void * | servant_upcall,
|  | CORBA::TypeCode_ptr const * | exceptions,
|  | CORBA::ULong | nexceptions
| ) | `[virtual]`

| This method implements one of the "ending" server side interception points. Implements TAO::ServerRequestInterceptor_Adapter.

void TAO::ServerRequestInterceptor_Adapter_Impl::send_reply | ( | TAO_ServerRequest & | server_request,
|  | TAO::Argument *const | args[],
|  | size_t | nargs,
|  | void * | servant_upcall,
|  | CORBA::TypeCode_ptr const * | exceptions,
|  | CORBA::ULong | nexceptions
| ) | `[virtual]`

| This method implements one of the "ending" server side interception points. Implements TAO::ServerRequestInterceptor_Adapter.

## Member Data Documentation

ServerRequestInterceptor_List TAO::ServerRequestInterceptor_Adapter_Impl::interceptor_list_`[private]`

| List of registered interceptors.

The documentation for this class was generated from the following files:

- ServerInterceptorAdapter.h
- ServerInterceptorAdapter.cpp